diff -u dnsmasq-2.40/debian/rules dnsmasq-2.40/debian/rules
--- dnsmasq-2.40/debian/rules
+++ dnsmasq-2.40/debian/rules
@@ -9,8 +9,6 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 
-package=dnsmasq
-
 # policy manual, section 10.1
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
      CFLAGS = -g -O0
@@ -43,59 +41,68 @@
 
 clean:
 	$(checkdir)
-	rm -rf debian/tmp debian/*~ debian/files debian/substvars
+	rm -rf debian/dnsmasq debian/dnsmasq-base debian/*~ debian/files debian/substvars
 	make clean
 
 binary-arch:	checkroot 
 	$(checkdir)
-	rm -rf debian/tmp
-	install -d debian/tmp/DEBIAN\
-	        -d debian/tmp/usr/share/doc/$(package)\
-		-d debian/tmp/usr/share/doc/$(package)/examples\
-	        -d debian/tmp/etc/init.d\
-	        -d debian/tmp/etc/resolvconf/update.d\
-	        -d debian/tmp/etc/default\
-		-d debian/tmp/etc/dbus-1/system.d\
-	        -d debian/tmp/var/run\
-	        -d debian/tmp/var/lib/misc
-	install -m 644 debian/conffiles debian/tmp/DEBIAN
-	install -m 755 debian/postinst debian/postrm debian/prerm debian/tmp/DEBIAN
-	install -m 755 debian/init debian/tmp/etc/init.d/dnsmasq
-	install -m 755 debian/resolvconf debian/tmp/etc/resolvconf/update.d/dnsmasq
-	install -m 644 debian/default debian/tmp/etc/default/dnsmasq
-	install -m 644 dnsmasq.conf.example debian/tmp/etc/dnsmasq.conf
-	install -m 644 dbus/dnsmasq.conf debian/tmp/etc/dbus-1/system.d/dnsmasq.conf
-	make $(TARGET) PREFIX=/usr DESTDIR=`pwd`/debian/tmp CFLAGS="$(CFLAGS)" COPTS="$(COPTS)" CC=gcc
+	for package in dnsmasq dnsmasq-base; do \
+		rm -rf debian/$$package; \
+		install -d debian/$$package/DEBIAN; \
+	done
+	pkg=dnsmasq ; install -d debian/$$pkg/etc/init.d\
+		-d debian/$$pkg/etc/resolvconf/update.d\
+		-d debian/$$pkg/etc/default\
+		-d debian/$$pkg/etc/dbus-1/system.d\
+		-d debian/$$pkg/usr/share/doc;\
+		install -m 644 debian/conffiles debian/$$pkg/DEBIAN;\
+		install -m 755 debian/postinst debian/postrm debian/prerm debian/$$pkg/DEBIAN;\
+		install -m 755 debian/init debian/$$pkg/etc/init.d/dnsmasq;\
+		install -m 755 debian/resolvconf debian/$$pkg/etc/resolvconf/update.d/dnsmasq;\
+		install -m 644 debian/default debian/$$pkg/etc/default/dnsmasq;\
+		install -m 644 dnsmasq.conf.example debian/$$pkg/etc/dnsmasq.conf;\
+		install -m 644 dbus/dnsmasq.conf debian/$$pkg/etc/dbus-1/system.d/dnsmasq.conf;\
+		ln -sf dnsmasq-base debian/dnsmasq/usr/share/doc/$$pkg
+	pkg=dnsmasq-base ; install -d debian/$$pkg/usr/share/doc/$$pkg\
+		-d debian/$$pkg/usr/share/doc/$$pkg/examples\
+		-d debian/$$pkg/var/run\
+		-d debian/$$pkg/var/lib/misc;\
+		make $(TARGET) PREFIX=/usr DESTDIR=`pwd`/debian/$$pkg CFLAGS="$(CFLAGS)" COPTS="$(COPTS)" CC=gcc
 ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
-	cp doc.html debian/tmp/usr/share/doc/$(package)/.
-	cp setup.html debian/tmp/usr/share/doc/$(package)/.
-	cp dnsmasq.conf.example debian/tmp/usr/share/doc/$(package)/examples/.
-	cp FAQ debian/tmp/usr/share/doc/$(package)/.
-	gzip -9 debian/tmp/usr/share/doc/$(package)/FAQ
-	cp CHANGELOG debian/tmp/usr/share/doc/$(package)/changelog
-	gzip -9 debian/tmp/usr/share/doc/$(package)/changelog
-	cp dbus/DBus-interface debian/tmp/usr/share/doc/$(package)/.
-	gzip -9 debian/tmp/usr/share/doc/$(package)/DBus-interface	
-endif
-	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
-	gzip -9 debian/tmp/usr/share/doc/$(package)/changelog.Debian
-	cp debian/readme debian/tmp/usr/share/doc/$(package)/README.Debian
-	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
-	gzip -9 debian/tmp/usr/share/man/man8/dnsmasq.8
-	for f in debian/tmp/usr/share/man/*; do \
+	pkg=dnsmasq-base;\
+	cp doc.html		debian/$$pkg/usr/share/doc/$$pkg/.;\
+	cp setup.html		debian/$$pkg/usr/share/doc/$$pkg/.;\
+	cp dnsmasq.conf.example	debian/$$pkg/usr/share/doc/$$pkg/examples/.;\
+	cp FAQ 			debian/$$pkg/usr/share/doc/$$pkg/.;\
+	cp CHANGELOG		debian/$$pkg/usr/share/doc/$$pkg/changelog;\
+	cp dbus/DBus-interface	debian/$$pkg/usr/share/doc/$$pkg/.;\
+	gzip -9 debian/$$pkg/usr/share/doc/$$pkg/FAQ;\
+	gzip -9 debian/$$pkg/usr/share/doc/$$pkg/changelog;\
+	gzip -9 debian/$$pkg/usr/share/doc/$$pkg/DBus-interface	
+endif
+	pkg=dnsmasq-base ;\
+	cp debian/changelog	debian/$$pkg/usr/share/doc/$$pkg/changelog.Debian;\
+	cp debian/readme	debian/$$pkg/usr/share/doc/$$pkg/README.Debian;\
+	cp debian/copyright	debian/$$pkg/usr/share/doc/$$pkg/copyright;\
+	gzip -9 debian/$$pkg/usr/share/doc/$$pkg/changelog.Debian;\
+	gzip -9 debian/$$pkg/usr/share/man/man8/dnsmasq.8;\
+	for f in debian/$$pkg/usr/share/man/*; do \
 		if [ -f $$f/man8/dnsmasq.8 ]; then \
                        gzip -9 $$f/man8/dnsmasq.8 ; \
                 fi \
 	done
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R .note -R .comment debian/tmp/usr/sbin/dnsmasq
+	strip -R .note -R .comment debian/dnsmasq-base/usr/sbin/dnsmasq
 endif
-	cd debian/tmp && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
-	dpkg-shlibdeps debian/tmp/usr/sbin/dnsmasq
-	dpkg-gencontrol -isp
-	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
-	dpkg --build debian/tmp ..
+	cd debian/dnsmasq-base && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/dnsmasq      && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
+	dpkg-shlibdeps debian/dnsmasq-base/usr/sbin/dnsmasq
+	dpkg-gencontrol -isp -pdnsmasq		-Pdebian/dnsmasq
+	dpkg-gencontrol -isp -pdnsmasq-base	-Pdebian/dnsmasq-base
+	chown -R root.root debian/dnsmasq debian/dnsmasq-base
+	chmod -R g-ws debian/dnsmasq debian/dnsmasq-base
+	dpkg --build debian/dnsmasq ..
+	dpkg --build debian/dnsmasq-base ..
 
 define checkdir
 	test -f FAQ -a -f debian/rules
diff -u dnsmasq-2.40/debian/control dnsmasq-2.40/debian/control
--- dnsmasq-2.40/debian/control
+++ dnsmasq-2.40/debian/control
@@ -1,16 +1,32 @@
 Source: dnsmasq
 Section: net
 Priority: optional
-Build-depends: gettext, libdbus-1-dev (>=0.61)
+Build-Depends: gettext, libdbus-1-dev (>=0.61)
 Maintainer: Simon Kelley <simon@thekelleys.org.uk>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
-Package: dnsmasq
+Package: dnsmasq-base
 Architecture: any
-Depends: netbase, ${shlibs:Depends}, adduser
+Depends: netbase, ${shlibs:Depends}
+Description: A small caching DNS proxy and DHCP server - base package
+ Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
+ server. It is designed to provide DNS and optionally, DHCP, to a 
+ small network. It can serve the names of local machines which are 
+ not in the global DNS. The DHCP server integrates with the DNS 
+ server and allows machines with DHCP-allocated addresses
+ to appear in the DNS with names configured either in each host or
+ in a central configuration file. Dnsmasq supports static and dynamic 
+ DHCP leases and BOOTP/TFTP for network booting of diskless machines.
+ .
+ This package provides the dnsmasq binaries and documentation, but
+ doesn't start dnsmasq for you.
+
+Package: dnsmasq
+Architecture: all
+Depends: ${shlibs:Depends}, adduser, dnsmasq-base
 Suggests: resolvconf
 Conflicts: pdnsd, resolvconf (<<1.15)
-Description: A small caching DNS proxy and DHCP server
+Description: A small caching DNS proxy and DHCP server - init scripts and configuration
  Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
  server. It is designed to provide DNS and optionally, DHCP, to a 
  small network. It can serve the names of local machines which are 
@@ -22 +38,2 @@
-
+ .
+ This package provides the init scripts and configuration.
